using Newtonsoft.Json;

namespace OpenAuth.App.Permission.Request;

/// <summary>
/// 公式
/// </summary>
public class FormulaObject
{
    /// <summary>
    /// 设置公式  1 and 2
    /// </summary>
    [JsonProperty("formula")]
    public string Formula { get; set; }

    /// <summary>
    /// 设置条件
    /// </summary>
    [JsonProperty("conditions")]
    public List<Condition> Conditions { get; set; }


    /// <summary>
    /// 分组公式  (A or B)
    /// </summary>
    [JsonProperty("formulas")]
    public List<Group> Formulas { get; set; }
}